Introduction
    Authentication
    Errors
    Expanding Responses
    Idempotent requests
    Include-dependent response values (API v2)
    Metadata
    Pagination
    Request IDs
    Connected Accounts
    Versioning
Core Resources
    Accountsv2
    Account Linksv2
    Account Tokensv2
    Balance
    Balance Transactions
    Charges
    Customers
    Customer Session
    Disputes
    Events
    Eventsv2
    Event Destinationsv2
    Files
    File Links
    The File Link objectCreate a file linkUpdate a file linkRetrieve a file linkList all file links
    Mandates
    Payment Intents
    Personsv2
    Person Tokensv2
    Setup Intents
    Setup Attempts
    Payouts
    Refunds
    Confirmation Token
    Tokens
Payment Methods
    Payment Methods
    Payment Method Configurations
    Payment Method Domains
    Bank Accounts
    Cash Balance
    Cash Balance Transaction
    Cards
    Sources
Products
    Products
    Prices
    Coupons
    Promotion Code
    Discounts
    Tax Code
    Tax Rate
    Shipping Rates
Checkout
    Checkout Sessions
Payment Links
    Payment Link
Billing
    Alerts
    Credit Balance Summary
    Credit Balance Transaction
    Credit Grant
    Credit Note
    Customer Balance Transaction
    Customer Portal Configuration
    Customer Portal Session
    Invoices
    Invoice Items
    Invoice Line Item
    Invoice Payment
    Invoice Rendering Templates
    Meters
    Meter Events
    Meter Event Adjustment
    Meter Event Adjustmentsv2
    Meter Event Streamsv2
    Meter Event Summary
    Meter Eventsv2
    Plans
    Quote
    Subscriptions
    Subscription Items
    Subscription Schedule
    Tax IDs
    Test Clocks
Capital
    Financing Offer
    Financing Summary
Connect
    Accounts
    Login Links
    Account Links
    Account Session
    Application Fees
    Application Fee Refunds
    Capabilities
    Country Specs
    Balance Settings
    External Bank Accounts
    External Account Cards
    Person
    Top-ups
    Transfers
    Transfer Reversals
    Secrets
Reserves
Fraud
Issuing
Terminal
Treasury
Payment Records
Entitlements
Sigma
Reporting
Financial Connections
Tax
Identity
Crypto
Climate
Forwarding
Webhooks
  • 2026-01-28.clover
  • API Reference
  • Docs
  • Support
  • Sign in →

Retrieve a file link 

Retrieves the file link with the given ID.

Parameters

No parameters.

Returns

If the identifier you provide is valid, a file link object returns. If not, Stripe raises an error.

GET /v1/file_links/:id
curl https://api.stripe.com/v1/file_links/link_1Mr23jLkdIwHu7ix65betcoo \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "link_1Mr23jLkdIwHu7ix65betcoo",
"object": "file_link",
"created": 1680108075,
"expired": false,
"expires_at": null,
"file": "file_1Mr23iLkdIwHu7ixQkCV3CBR",
"livemode": false,
"metadata": {},
"url": "https://files.stripe.com/links/MDB8YWNjdF8xTTJKVGtMa2RJd0h1N2l4fGZsX3Rlc3RfaXVoY2hrUnJPMzlBR3dPb01XMmFkSTVq00yUPLFf3h"
}

List all file links 

Returns a list of file links.

Parameters

No parameters.

More parameters

  • createdobject

  • ending_beforestring

  • expiredboolean

  • filestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit file links, starting after the starting_after file link. Each entry in the array is a separate file link object. If there aren’t additional available file links, the resulting array is empty.

GET /v1/file_links
curl -G https://api.stripe.com/v1/file_links \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/file_links",
"has_more": false,
"data": [
{
"id": "link_1Mr23jLkdIwHu7ix65betcoo",
"object": "file_link",
"created": 1680108075,
"expired": false,
"expires_at": null,
"file": "file_1Mr23iLkdIwHu7ixQkCV3CBR",
"livemode": false,
"metadata": {},
"url": "https://files.stripe.com/links/MDB8YWNjdF8xTTJKVGtMa2RJd0h1N2l4fGZsX3Rlc3RfaXVoY2hrUnJPMzlBR3dPb01XMmFkSTVq00yUPLFf3h"
}
]
}
  • Need help? Contact Support.
  • Check out our changelog.
  • Questions? Contact Sales.
  • LLM? Read llms.txt.
  • Powered by Markdoc